import * as prompts from "@clack/prompts";
import chalk from "chalk";
import { parseArgs } from "node:util";
import { create } from "../create/index.js";
import { initialize } from "../initialize/index.js";
import { migrate } from "../migrate/index.js";
import { logLine } from "../shared/cli/lines.js";
import { promptForMode } from "./mode.js";
async function bin(args) {
  console.clear();
  prompts.intro(
    [
      chalk.greenBright(`Welcome to`),
      chalk.bgGreenBright.black(`template-typescript-node-package`),
      chalk.greenBright(`! \u{1F389}`)
    ].join(" ")
  );
  logLine();
  logLine(
    chalk.yellow(
      "\u26A0\uFE0F This template is early stage, opinionated, and not endorsed by the TypeScript team. \u26A0\uFE0F"
    )
  );
  logLine(
    chalk.yellow(
      "\u26A0\uFE0F If any tooling it sets displeases you, you can always remove that portion manually. \u26A0\uFE0F"
    )
  );
  const { values } = parseArgs({
    args,
    options: {
      mode: { type: "string" }
    },
    strict: false
  });
  const mode = await promptForMode(values.mode);
  if (mode instanceof Error) {
    prompts.outro(chalk.red(mode.message));
    return 1;
  }
  logLine();
  logLine(
    chalk.blue(
      "Let's collect some information to fill out repository details..."
    )
  );
  return await { create, initialize, migrate }[mode](args);
}
export {
  bin
};
//# sourceMappingURL=index.js.map