import { allArgOptions } from "../shared/options/args.js";
function getFirstMatchingArg(key) {
  return Object.keys(allArgOptions).find(
    (arg) => arg.replaceAll("-", "") === key.toLowerCase()
  );
}
function createRerunSuggestion(mode, options) {
  const args = Object.entries(options).filter(([, value]) => !!value).map(([key, value]) => {
    const valueStringified = `${value}`;
    return `--${getFirstMatchingArg(key)} ${valueStringified.includes(" ") ? `"${value}"` : value}`;
  }).join(" ");
  return `npx template-typescript-node-package --mode ${mode} ${args}`;
}
export {
  createRerunSuggestion
};
//# sourceMappingURL=createRerunSuggestion.js.map