import { outro } from "../shared/cli/outro.js";
import { ensureGitRepository } from "../shared/ensureGitRepository.js";
import { readOptions } from "../shared/options/readOptions.js";
import { runOrRestore } from "../shared/runOrRestore.js";
import { initializeWithOptions } from "./initializeWithOptions.js";
async function initialize(args) {
  const inputs = await readOptions(args);
  await ensureGitRepository();
  return await runOrRestore({
    run: async () => {
      await initializeWithOptions(inputs);
      outro([
        {
          label: "You may consider committing these changes:",
          lines: [
            `git add -A`,
            `git commit -m "feat: initialized repo \u2728`,
            `git push`
          ]
        },
        {
          label: "Otherwise, all you have to do is populate the repository's ACCESS_TOKEN and NPM_TOKEN secrets, and enable the Codecov and Renovate GitHub apps."
        }
      ]);
    },
    skipRestore: inputs.options.skipRestore
  });
}
export {
  initialize
};
//# sourceMappingURL=index.js.map