import { Octokit } from 'octokit';
import { Options } from '../types.js';

type EnsureRepositoryExistsOptions = Pick<Options, "createRepository" | "owner" | "repository">;
interface RepositoryExistsResult {
    octokit: Octokit | undefined;
    repository: string;
}
declare function ensureRepositoryExists(octokit: Octokit | undefined, options: EnsureRepositoryExistsOptions): Promise<RepositoryExistsResult>;

export { EnsureRepositoryExistsOptions, RepositoryExistsResult, ensureRepositoryExists };
