import * as prompts from "@clack/prompts";
import { handlePromptCancel } from "../prompts.js";
async function getPrefillOrPromptedOption(existingValue, message, placeholder) {
  if (existingValue) {
    return existingValue;
  }
  const value = handlePromptCancel(
    await prompts.text({
      message,
      placeholder,
      validate: (val) => {
        if (val.length === 0) {
          return "Please enter a value.";
        }
      }
    })
  );
  return value;
}
export {
  getPrefillOrPromptedOption
};
//# sourceMappingURL=getPrefillOrPromptedOption.js.map