import { Options } from '../../../../shared/types.js';

declare function createDotGitHub(options: Options): Promise<{
    "renovate.json"?: string | undefined;
    "ISSUE_TEMPLATE.md": string;
    "PULL_REQUEST_TEMPLATE.md": string;
    "SECURITY.md": string;
    "FUNDING.yml"?: string | undefined;
    "CODE_OF_CONDUCT.md": string;
    "CONTRIBUTING.md": string;
    "DEVELOPMENT.md": string;
    ISSUE_TEMPLATE: {
        "01-bug.yml": string;
        "02-documentation.yml": string;
        "03-feature.yml": string;
        "04-tooling.yml": string;
    };
    actions: {
        prepare: {
            "action.yml": string;
        };
    };
    workflows: {
        "test.yml"?: string | undefined;
        "post-release.yml"?: string | undefined;
        "release.yml"?: string | undefined;
        "lint-spelling.yml"?: string | undefined;
        "lint-package.yml"?: string | undefined;
        "lint-markdown.yml"?: string | undefined;
        "lint-knip.yml"?: string | undefined;
        "lint.yml": string;
        "contributors.yml"?: string | undefined;
        "compliance.yml"?: string | undefined;
        "build.yml": string;
        "pr-review-requested.yml": string;
        "prettier.yml": string;
        "tsc.yml": string;
    };
}>;

export { createDotGitHub };
